std::allocator::address(3)

NAME
std::allocator::address - std::allocator::address

Synopsis
   pointer address( reference x ) const; (until C++11)
                        (since C++11)
   pointer address( reference x ) const noexcept; (deprecated in C++17)
                        (removed in C++20)
   const_pointer address( const_reference x ) const; (until C++11)
                        (since C++11)
   const_pointer address( const_reference x ) const noexcept; (deprecated in C++17)
                        (removed in C++20)
   Returns the actual address of x even in presence of overloaded operator&.

Parameters
   x - the object to acquire address of

Return value
   The actual address of x.